%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name pycparser

Name: python%{python_suffix}-%{pypi_name}
Version: 2.20
Release: 1
License: BSD-3-CLAUSE
Summary: C99 Parser for Python
Url: https://github.com/eliben/pycparser

Source0: https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

%description
pycparser is a complete parser of the C language, written in pure Python using
the PLY parsing library. It parses C code into an AST and can serve as a
front-end for C compilers or analysis tools.

%prep
%setup -q -n %{pypi_name}-%{version}

%build

%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-py2.py3-none-any.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{python_sitelib}/pycparser*

%changelog
* Wed Jul 07 2021 Kevin Adler <kadler@us.ibm.com> - 2.20
- Update to 2.20

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 2.19
- Port to Python 3.9
- Use macros from python-rpm-macros

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Initial package
